Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.ide.ascape
Class AscapeModelBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
                  org.eclipse.amp.amf.gen.ide.MetaABMBuilder
                      org.eclipse.amp.amf.ide.ascape.AscapeModelBuilder

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

    public class AscapeModelBuilder

extends MetaABMBuilder

Field Summary
`static java.lang.String` | `ASCAPE_BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`builder, currentMonitor, workflowPaths`

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`AscapeModelBuilder()`

Method Summary
`static MetaABMBuilder` | `getAscapeBuilderDefault()` Returns the shared instance
`void` | `loadPlugins()`

Methods inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`getBaseBuilderDefault, isCreateMarkers, loadPropertiesFromPrefs, loadPropertiesFromResource, setCreateMarkers`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, build, fullBuild, generateModel, getGenProperties, getResourceLoader, handleModifiedResource, incrementalBuild, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors`

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`clean, forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, getRule, getRule, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, setInitializationData, startupOnInitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASCAPE_BUILDER_ID

    public static final java.lang.String ASCAPE_BUILDER_ID

See Also:
  Constant Field Values

Constructor Detail

### AscapeModelBuilder

    public AscapeModelBuilder()

Method Detail

### loadPlugins

    public void loadPlugins()

  Overrides:
    `loadPlugins` in class `MetaABMBuilder`

### getAscapeBuilderDefault

    public static MetaABMBuilder getAscapeBuilderDefault()

  Returns the shared instance

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD